--- old/usr/src/common/mpi/mpi-priv.h	Mon Sep 18 16:37:51 2017
+++ new/usr/src/common/mpi/mpi-priv.h	Mon Sep 18 16:37:51 2017
@@ -46,6 +46,8 @@
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  *
+ * Copyright 2017 RackTop Systems.
+ *
  * Sun elects to use this software under the MPL license.
  */
 
@@ -52,8 +54,6 @@
 #ifndef _MPI_PRIV_H
 #define _MPI_PRIV_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /* $Id: mpi-priv.h,v 1.20 2005/11/22 07:16:43 relyea%netscape.com Exp $ */
 
 #include "mpi.h"
@@ -300,7 +300,7 @@
 
 /* c += a * b * (MP_RADIX ** offset);  */
 #define s_mp_mul_d_add_offset(a, b, c, off) \
-(s_mpv_mul_d_add_prop(MP_DIGITS(a), MP_USED(a), b, MP_DIGITS(c) + off), MP_OKAY)
+	s_mpv_mul_d_add_prop(MP_DIGITS(a), MP_USED(a), b, MP_DIGITS(c) + off)
 
 typedef struct {
   mp_int       N;	/* modulus N */
--- old/usr/src/common/mpi/mpmontg.c	Mon Sep 18 16:37:52 2017
+++ new/usr/src/common/mpi/mpmontg.c	Mon Sep 18 16:37:52 2017
@@ -40,11 +40,11 @@
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  *
+ * Copyright 2017 RackTop Systems.
+ *
  * Sun elects to use this software under the MPL license.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /* $Id: mpmontg.c,v 1.20 2006/08/29 02:41:38 nelson%bolyard.com Exp $ */
 
 /* This file implements moduluar exponentiation using Montgomery's
@@ -104,7 +104,7 @@
   for (i = 0; i < MP_USED(&mmm->N); ++i ) {
     mp_digit m_i = MP_DIGIT(T, i) * mmm->n0prime;
     /* T += N * m_i * (MP_RADIX ** i); */
-    MP_CHECKOK( s_mp_mul_d_add_offset(&mmm->N, m_i, T, i) );
+    s_mp_mul_d_add_offset(&mmm->N, m_i, T, i);
   }
   s_mp_clamp(T);
 
